package eu.telecomnancy;
import static org.junit.Assert.*;
import org.junit.Before;
import org.junit.Test;



public class StudentTest {
	

	@Test
	public void testConstruc() {
		Student e1 = new Student("abc",123);
		assertEquals(e1.getName(),"abc");
		assertEquals(e1.getId(),123);
	}


/*

	@Test
	public void testGetName() {
		Student e1 = new Student("Jean",123);
		assertEquals(e1.getName(),"Jean");
	}
*/

	@Test
	public void testSetName() {
		Student e1 = new Student("Jean",123);
		e1.setName("Jean2");
		assertEquals(e1.getName(),"Jean2");
	}



	@Test
	public void testSetId() {
		Student e1 = new Student("Jacques",123);
		e1.setId(321);
		assertEquals(e1.getId(),321);
	}

	@Test
	public void testToString() {
		Student e1 = new Student("Goldman",123);
		assertEquals(e1.toString(),"JE SUIS: Goldman, mon ID c'est: 123");
	}



	@Test
	public void testEgalite() {
		Student e1 = new Student("JOSE",123);
		Student e2 = new Student("JOSE",123);
		assertTrue(e1.equals(e2));
	}

	@Test
	public void pasEgalNom() {
		Student e1 = new Student("JOSE",123);
		Student e2 = new Student("BOVE",123);
		assertFalse(e1.equals(e2));
	}

	@Test
	public void pasEgalID() {
		Student e1 = new Student("JOSE",123);
		Student e2 = new Student("JOSE",321);
		assertFalse(e1.equals(e2));
	}

}

